package com.bonus.canteen.core.supply.purchase.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@ApiModel("提交决标")
public class DrpCommitFinalBidsDTO {
   @ApiModelProperty("询价单号")
   private @NotBlank(
   message = "询价单号不能为空!"
) String inquiryId;
   @ApiModelProperty("供应商id")
   private @NotNull(
   message = "决标供应商不能为空!"
) Long supplierId;
   @ApiModelProperty("决标总价")
   private Integer bidTotalPrice;

   public String getInquiryId() {
      return this.inquiryId;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public Integer getBidTotalPrice() {
      return this.bidTotalPrice;
   }

   public void setInquiryId(final String inquiryId) {
      this.inquiryId = inquiryId;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setBidTotalPrice(final Integer bidTotalPrice) {
      this.bidTotalPrice = bidTotalPrice;
   }
}
